package net.wanji.web.service;

import net.wanji.web.bo.AddOrUpdateAreaBO;
import net.wanji.web.bo.AddOrUpdateJurisdictionBO;
import net.wanji.web.bo.PolygonBO;
import net.wanji.web.vo.CrossIdAndNameVO;

import java.util.List;

/**
 * @desc 路口管理服务
 */
public interface CrossManageService {


    List<CrossIdAndNameVO> selectCrossesByPolygon(PolygonBO polygonBO);

    void addOrUpdateArea(AddOrUpdateAreaBO addOrUpdateAreaBO);

    void addOrUpdateJurisdiction(AddOrUpdateJurisdictionBO addOrUpdateJurisdictionBO);
}
